rm -rv idf
rm namesxx00
mkdir idf

for inputfiles in namesxx*; do

	filename=$inputfiles

	old_IFS=$IFS
	IFS=$'\n'
	patchname=($(cat $filename)) # array
	IFS=$old_IFS

	bankname=${patchname[0]}
	patchnum="1"
	totalpatches=$[${#patchname[@]}]

	touch "idf/$bankname.idf"

	echo "<muse version=\""1.0"\">" >> "idf/$bankname.idf"
	echo "<MidiInstrument name=\""$bankname"\">" >> "idf/$bankname.idf"
	echo "<PatchGroup name=\""$bankname"\">" >> "idf/$bankname.idf"

	patchnumfrom0="0"
	while [ $patchnum -lt $totalpatches ] ; do
		#echo patch name: $patchnum ${patchname[$patchnum]} >> "idf/$bankname.idf"
		echo "<Patch name=\""${patchname[$patchnum]}"\" prog=\""$patchnumfrom0"\"/>" >> "idf/$bankname.idf"

		patchnum=$[$patchnum+1]
		patchnumfrom0=$[$patchnumfrom0+1]
	done
echo "
</PatchGroup>
		<Controller name=\""Program"\" type=\""Program"\" init=\""0x0"\" drumInit=\""0x0"\"/><Init>
    </Init> 
	<Drummaps> 
	<entry> 
		<drummap></drummap> 
	</entry> 
   </Drummaps> 
 </MidiInstrument> 
</muse> 
" >> "idf/$bankname.idf"
done

rm names*
